Index: ow/templates/delete_workout.pt
===================================================================
--- ow/templates/delete_workout.pt	(revision be886df8cbf87d6cc46e4c9fb9f3bc55c596aa4a)
+++ ow/templates/delete_workout.pt	(revision 59515ab0903bfc648a1f8be97737d8422a6a4c1a)
@@ -19,47 +19,51 @@
 
   <metal:content metal:fill-slot="content">
-    <div id="delete_workout">
+    <div id="delete_workout" class="ow-forms">
+      <a class="back" href="" tal:attributes="href request.resource_url(context)"
+         i18n:translate="">Cancel</a>
       <form action="" method="POST">
-        <input id="_csrf" name="_csrf" type="hidden" value=""
-               tal:attributes="value request.session.get_csrf_token()" />
-        <input id="delete" name="delete" type="hidden" value="yes" />
+        <fieldset>
+          <input id="_csrf" name="_csrf" type="hidden" value=""
+                 tal:attributes="value request.session.get_csrf_token()" />
+          <input id="delete" name="delete" type="hidden" value="yes" />
 
-        <div id="workout"
-             tal:define="timezone request.root[request.authenticated_userid].timezone">
-        <h3 tal:content="context.title"></h3>
-        <ul id="" tal:attributes="id 'workout-' + context.workout_id + '-details'">
-          <li>
-            <tal:t i18n:translate="">Start:</tal:t>
-            <tal:c tal:content="context.start_in_timezone(timezone)"></tal:c>
-          </li>
-          <li>
-            <tal:t i18n:translate="">End:</tal:t>
-            <tal:c tal:content="context.end_in_timezone(timezone)"></tal:c>
-          </li>
-          <li>
-            <tal:t i18n:translate="">Distance:</tal:t>
-            <tal:c tal:content="context.distance"></tal:c>
-          </li>
-          <li>
-            <tal:t i18n:translate="">Average Heart Rate:</tal:t>
-            <tal:c tal:content="context.hr_avg"></tal:c>
-          </li>
-          <li>
-            <tal:t i18n:translate="">Maximum Heart Rate:</tal:t>
-            <tal:c tal:content="context.hr_max"></tal:c>
-          </li>
-        </ul>
-        <div id="" tal:content="context.notes"
-             tal:attributes="id 'workout-' + context.workout_id + '-notes'">
-        </div>
-      </div>
+          <div id="workout"
+               tal:define="timezone request.root[request.authenticated_userid].timezone">
+            <h2 tal:content="context.title"></h2>
+
+            <ul class="workout-activity-summary" id="" tal:attributes="id 'workout-' + context.workout_id + '-details'">
+              <li>
+                <tal:t i18n:translate="">Start:</tal:t>
+                <tal:c tal:content="context.start_in_timezone(timezone)"></tal:c>
+              </li>
+              <li>
+                <tal:t i18n:translate="">End:</tal:t>
+                <tal:c tal:content="context.end_in_timezone(timezone)"></tal:c>
+              </li>
+              <li>
+                <tal:t i18n:translate="">Distance:</tal:t>
+                <tal:c tal:content="context.distance"></tal:c>
+              </li>
+              <li>
+                <tal:t i18n:translate="">Average Heart Rate:</tal:t>
+                <tal:c tal:content="context.hr_avg"></tal:c>
+              </li>
+              <li>
+                <tal:t i18n:translate="">Maximum Heart Rate:</tal:t>
+                <tal:c tal:content="context.hr_max"></tal:c>
+              </li>
+            </ul>
+            <div id="" tal:content="context.notes"
+                 tal:attributes="id 'workout-' + context.workout_id + '-notes'">
+            </div>
+          </div>
+        </fieldset>
 
       <div>
-        Are you sure you want to delete this workout?
+        <p>Are you sure you want to delete this workout?</p>
       </div>
-
-      <input type="submit" name="submit" value="Yes, delete" />
-      <a href="" tal:attributes="href request.resource_url(context)"
-         i18n:translate="">Cancel</a>
+      <div>
+        <input class="button button-normal" type="submit" name="submit" value="Yes, delete" />
+      </div>
       </form>
     </div>