Index: ow/locale/es/LC_MESSAGES/OpenWorkouts.po
===================================================================
--- ow/locale/es/LC_MESSAGES/OpenWorkouts.po	(revision a4e4799435f730f87765cce9f1ad592e1d8e5681)
+++ ow/locale/es/LC_MESSAGES/OpenWorkouts.po	(revision 723588b5edc748c112b25118187511a2b72e1d77)
@@ -7,6 +7,6 @@
 msgstr ""
 "Project-Id-Version: PACKAGE 1.0\n"
-"POT-Creation-Date: 2019-02-25 13:14+0100\n"
-"PO-Revision-Date: 2019-02-25 13:24+0100\n"
+"POT-Creation-Date: 2019-02-26 17:08+0100\n"
+"PO-Revision-Date: 2019-02-26 17:09+0100\n"
 "Last-Translator: Wu <info@openworkouts.org>\n"
 "Language-Team: Spanish\n"
@@ -34,4 +34,12 @@
 msgstr "Noche"
 
+#: ow/utilities.py:309
+msgid "English"
+msgstr "Inglés"
+
+#: ow/utilities.py:310
+msgid "Spanish"
+msgstr "Español"
+
 #: ow/mail.py:42 ow/templates/mail_verify_account_txt.pt:5
 msgid "Welcome to OpenWorkouts"
@@ -42,13 +50,13 @@
 msgstr "Por favor, adjunta un fichero válido."
 
-#: ow/schemas/user.py:12
+#: ow/schemas/user.py:13
 msgid "The given password does not match the existing one "
 msgstr "La clave no coincide"
 
-#: ow/schemas/user.py:24
+#: ow/schemas/user.py:25
 msgid "Another user is already using the nickname %(name)s"
 msgstr "Otro usuario está usando el apodo %(name)s"
 
-#: ow/schemas/user.py:36
+#: ow/schemas/user.py:37
 msgid "Another user is already registered with the email %(email)s"
 msgstr "Otro usuario ya está registrado con el email %(email)s"
@@ -131,9 +139,9 @@
 #: ow/templates/add_manual_workout.pt:58
 msgid "Start date (dd/mm/yyyy)"
-msgstr "Fecha de inicio (dd/mm/yyyy)"
+msgstr "Fecha (dd/mm/yyyy)"
 
 #: ow/templates/add_manual_workout.pt:63
 msgid "Start time (HH:MM)"
-msgstr "Hora de inicio (HH:MM)"
+msgstr "Hora (HH:MM)"
 
 #: ow/templates/add_manual_workout.pt:71
@@ -152,4 +160,10 @@
 msgid "Notes:"
 msgstr "Notas:"
+
+#: ow/templates/add_manual_workout.pt:187 ow/templates/add_workout.pt:93
+#: ow/templates/edit_profile.pt:255
+#: ow/templates/update_workout_from_file.pt:139
+msgid "Save"
+msgstr "Guardar"
 
 #: ow/templates/add_user.pt:11 ow/templates/add_user.pt:15
@@ -185,5 +199,5 @@
 #: ow/templates/add_workout.pt:23
 msgid "Upload workout file"
-msgstr "Subir fichero del entreno"
+msgstr "Subir fichero (gpx, fit)"
 
 #: ow/templates/add_workout.pt:34
@@ -220,5 +234,5 @@
 
 #: ow/templates/change_password.pt:11 ow/templates/change_password.pt:15
-#: ow/templates/change_password.pt:24
+#: ow/templates/change_password.pt:24 ow/templates/change_password.pt:109
 msgid "Change password"
 msgstr "Cambiar clave de acceso"
@@ -308,4 +322,12 @@
 msgid "Duration:"
 msgstr "Duración:"
+
+#: ow/templates/delete_workout.pt:55
+msgid "Are you sure you want to delete this workout?"
+msgstr "Quieres eliminar este entreno?"
+
+#: ow/templates/delete_workout.pt:58
+msgid "Yes, delete"
+msgstr "Sí, eliminar"
 
 #: ow/templates/edit_manual_workout.pt:16
@@ -328,37 +350,37 @@
 msgstr "Apodo:"
 
-#: ow/templates/edit_profile.pt:49
+#: ow/templates/edit_profile.pt:48
 msgid "Current picture:"
 msgstr "Foto actual:"
 
-#: ow/templates/edit_profile.pt:57
+#: ow/templates/edit_profile.pt:56
 msgid "Picture (jpg, jpeg, png or gif):"
 msgstr "Foto (jpg, jpeg, png o gif):"
 
-#: ow/templates/edit_profile.pt:65
+#: ow/templates/edit_profile.pt:64
 msgid "First name:"
 msgstr "Nombre:"
 
-#: ow/templates/edit_profile.pt:70
+#: ow/templates/edit_profile.pt:69
 msgid "Last name:"
 msgstr "Apellidos:"
 
-#: ow/templates/edit_profile.pt:75 ow/templates/profile.pt:165
+#: ow/templates/edit_profile.pt:74 ow/templates/profile.pt:165
 msgid "Gender:"
 msgstr "Género:"
 
-#: ow/templates/edit_profile.pt:83 ow/templates/profile.pt:169
+#: ow/templates/edit_profile.pt:82 ow/templates/profile.pt:169
 msgid "Birth date:"
 msgstr "Fecha de nacimiento:"
 
-#: ow/templates/edit_profile.pt:88
+#: ow/templates/edit_profile.pt:87
 msgid "Height (meters):"
 msgstr "Altura (metros):"
 
-#: ow/templates/edit_profile.pt:93
+#: ow/templates/edit_profile.pt:92
 msgid "Weight (kg):"
 msgstr "Peso (kg):"
 
-#: ow/templates/edit_profile.pt:99
+#: ow/templates/edit_profile.pt:98
 msgid "Bio/About you:"
 msgstr "Bio/Acerca de ti:"
@@ -368,7 +390,15 @@
 msgstr "Zona horaria:"
 
-#: ow/templates/edit_profile.pt:105
+#: ow/templates/edit_profile.pt:106
 msgid "All dates and times will be formatted for this timezone"
 msgstr "Todas las fechas serán formateadas para esta zona horaria"
+
+#: ow/templates/edit_profile.pt:114
+msgid "Language:"
+msgstr "Idioma:"
+
+#: ow/templates/edit_profile.pt:116
+msgid "All texts in the user interface will appear in this language"
+msgstr "Todos los textos de la interfaz aparecerán en este idioma"
 
 #: ow/templates/login.pt:27
@@ -391,4 +421,8 @@
 msgid "Your password..."
 msgstr "Tu clave..."
+
+#: ow/templates/login.pt:44 ow/templates/verify.pt:21
+msgid "Login"
+msgstr "Inicia sesión"
 
 #: ow/templates/login.pt:46
@@ -462,5 +496,5 @@
 #: ow/templates/signup.pt:22
 msgid "We need a valid email address"
-msgstr "Necesitamos una dirección de correo electrónico válida"
+msgstr "Tu dirección de correo electrónico"
 
 #: ow/templates/signup.pt:30
@@ -495,4 +529,8 @@
 msgid "Confirm your password"
 msgstr "Vuelve a escribir tu clave"
+
+#: ow/templates/signup.pt:64
+msgid "Sign up!"
+msgstr "Registrarme!"
 
 #: ow/templates/update_workout_from_file.pt:11
@@ -607,8 +645,4 @@
 "de verificación."
 
-#: ow/templates/verify.pt:21
-msgid "Login"
-msgstr "Inicia sesión"
-
 #: ow/templates/mail_verify_account_html.pt:17
 msgid "Welcome"
@@ -635,9 +669,9 @@
 "y pegarlo en la barra de navegación de tu navegador web:"
 
-#: ow/views/user.py:55
+#: ow/views/user.py:59
 msgid "User has been verified already"
 msgstr "La cuenta ya ha sido verificada"
 
-#: ow/views/user.py:56
+#: ow/views/user.py:60
 msgid "Verification link sent, please check your inbox"
 msgstr ""
@@ -646,17 +680,17 @@
 "buzón de correo electrónico"
 
-#: ow/views/user.py:57
+#: ow/views/user.py:61
 msgid "We already sent you the verification link more than three times"
 msgstr "Ya te hemos enviado el enlace de verificación más de tres veces"
 
-#: ow/views/user.py:82
+#: ow/views/user.py:96
 msgid "Wrong password"
 msgstr "Clave incorrecta"
 
-#: ow/views/user.py:84
+#: ow/views/user.py:98
 msgid "You have to verify your account first"
 msgstr "Tienes que verificar tu cuenta primero"
 
-#: ow/views/user.py:89
+#: ow/views/user.py:103
 msgid "Wrong email address"
 msgstr "Dirección de correo electrónico incorrecta"