Index: static/css/leaflet-elevation.css
===================================================================
--- ow/static/css/leaflet-elevation.css	(revision a3c3baae8007ffaa4c586fa25999ce62fb5c1b90)
+++ 	(revision )
@@ -1,38 +1,0 @@
-
-/* Leaflet-elevation openworkouts theme */
-
-
-.openworkouts-theme.leaflet-control.elevation .background {
-    background-color: #ffffff;
-}
-
-.openworkouts-theme.leaflet-control.elevation .axis line, .openworkouts-theme.leaflet-control.elevation .axis path {
-    stroke: #151515;
-}
-
-.openworkouts-theme.leaflet-control.elevation .mouse-drag {
-    fill: #ee4056;
-    opacity: 0.5;
-}
-
-.openworkouts-theme.leaflet-control.elevation .elevation-toggle-icon {
-    background: url(images/elevation-steelblue.png) no-repeat center center;
-}
-
-.openworkouts-theme.leaflet-control.elevation .area {
-    fill: #f8b5be;
-}
-
-.openworkouts-theme.leaflet-control.elevation .mouse-focus-line {
-    stroke: #ee4056;
-}
-
-.openworkouts-theme.height-focus {
-    stroke: #4682b4;
-    fill: #4682b4;
-}
-
-.leaflet-control.elevation .area {
-    fill: #f8b5be;
-    stroke: #ee4056;
-}
Index: ow/static/css/main.css
===================================================================
--- ow/static/css/main.css	(revision a3c3baae8007ffaa4c586fa25999ce62fb5c1b90)
+++ ow/static/css/main.css	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
@@ -345,4 +345,72 @@
 [hidden] {
   display: none;
+}
+/* Leaflet-elevation openworkouts theme */
+/* background color */
+.openworkouts-theme.leaflet-control.elevation .background {
+  background-color: transparent;
+}
+/* Axis x and y*/
+.openworkouts-theme.leaflet-control.elevation .axis line,
+.openworkouts-theme.leaflet-control.elevation .axis path {
+  stroke: #959595;
+}
+/* selected drag area*/
+.openworkouts-theme.leaflet-control.elevation .mouse-drag {
+  fill: rgba(21, 21, 21, 0.1);
+}
+/* Icon to show when the chart is collapse */
+/*
+.openworkouts-theme.leaflet-control.elevation .elevation-toggle-icon {
+    background: url(images/elevation-steelblue.png) no-repeat center center;
+}
+*/
+/* Graph color area background */
+.openworkouts-theme.leaflet-control.elevation .area {
+  fill: #f8b5be;
+  stroke: transparent;
+}
+/* vertical line to know where are you */
+.openworkouts-theme.leaflet-control.elevation .mouse-focus-line {
+  stroke: #151515;
+}
+/* graph color line area */
+/*.leaflet-control.elevation .area {
+    fill: #f8b5be;
+}
+*/
+/* box with parameters */
+.mouse-focus-label {
+  opacity: 0.8;
+}
+.mouse-focus-label-text {
+  font-size: 13px;
+  font-size: 0.8125rem;
+  font-family: 'Open Sans', sans-serif;
+  font-weight: 100 !important;
+}
+/*.mouse-focus-label-y {}*/
+/* Color line on map */
+.leaflet-interactive {
+  stroke: #151515;
+  opacity: 0.6;
+  stroke-width: 6px;
+  stroke-linecap: round;
+}
+/* indicator on map line*/
+.openworkouts-theme.height-focus.line {
+  stroke: #151515;
+  display: none;
+  /*fill: #4682b4;*/
+}
+/* txt on map */
+.openworkouts-theme.height-focus-label {
+  display: none;
+}
+/* indicator on map circle */
+.openworkouts-theme.height-focus.circle-lower {
+  fill: #151515;
+  stroke: #EE4056;
+  stroke-width: 10px;
 }
 .hidden,
@@ -794,4 +862,5 @@
   color: #959595;
   margin-bottom: 0.25em;
+  /* color for future features */
 }
 .workout-detail-info ul span.min,
@@ -802,18 +871,9 @@
   padding: 0.5em 0.85em;
   border-radius: 3px;
-}
-.workout-detail-info ul span.max {
-  background-color: #EE4056;
-}
-.workout-detail-info ul span.min {
-  background-color: #1395CA;
-  margin-right: 0.5em;
-}
-.workout-detail-info ul span.avg {
-  background-color: #17C898;
-  margin-right: 0.5em;
+  background-color: #e1e1e1;
+  color: #959595;
 }
 .workout-detail-info li {
-  margin-bottom: 2em;
+  margin-bottom: 1em;
   margin-right: 1em;
   color: #959595;
Index: ow/static/less/main.less
===================================================================
--- ow/static/less/main.less	(revision a3c3baae8007ffaa4c586fa25999ce62fb5c1b90)
+++ ow/static/less/main.less	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
@@ -4,4 +4,6 @@
 // Normalize
 @import "vendors/normalize.less";
+@import "vendors/leaflet-elevation.less";
+
 
 // Variables
Index: ow/static/less/modules/workout.less
===================================================================
--- ow/static/less/modules/workout.less	(revision a3c3baae8007ffaa4c586fa25999ce62fb5c1b90)
+++ ow/static/less/modules/workout.less	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
@@ -256,21 +256,25 @@
                 padding: .5em .85em;
                 border-radius: 3px;
+                background-color: @color-main-light;
+                color: @color-main-medium;
             }
-            &.max {
-                background-color: @color-app;
-            }
-            &.min {
-                background-color: #1395CA;
-                margin-right: .5em;
-            }
-
-            &.avg {
-                background-color: #17C898;
-                margin-right: .5em;
-            }
+
+            /* color for future features */
+            // &.max {
+            //     background-color: @color-app;
+            // }
+            // &.min {
+            //     background-color: #1395CA;
+            //     margin-right: .5em;
+            // }
+
+            // &.avg {
+            //     background-color: #17C898;
+            //     margin-right: .5em;
+            // }
         }
     }
     li {
-        margin-bottom: 2em;
+        margin-bottom: 1em;
         margin-right: 1em;
         color: @color-main-medium;
Index: ow/static/less/variables.less
===================================================================
--- ow/static/less/variables.less	(revision a3c3baae8007ffaa4c586fa25999ce62fb5c1b90)
+++ ow/static/less/variables.less	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
@@ -9,4 +9,6 @@
 @color-app-medium: lighten(@color-app, 15%);
 @color-app-light: lighten(@color-app, 25%);
+
+@color-app-important: #F60002;
 
 
Index: ow/static/less/vendors/leaflet-elevation.less
===================================================================
--- ow/static/less/vendors/leaflet-elevation.less	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
+++ ow/static/less/vendors/leaflet-elevation.less	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
@@ -0,0 +1,85 @@
+
+/* Leaflet-elevation openworkouts theme */
+
+/* background color */
+.openworkouts-theme.leaflet-control.elevation .background {
+    background-color: transparent;
+}
+
+/* Axis x and y*/
+.openworkouts-theme.leaflet-control.elevation .axis line, .openworkouts-theme.leaflet-control.elevation .axis path {
+    stroke: @color-main-medium;
+}
+
+/* selected drag area*/
+.openworkouts-theme.leaflet-control.elevation .mouse-drag {
+    fill: fade(@color-main, 10%);
+}
+
+/* Icon to show when the chart is collapse */
+/*
+.openworkouts-theme.leaflet-control.elevation .elevation-toggle-icon {
+    background: url(images/elevation-steelblue.png) no-repeat center center;
+}
+*/
+
+/* Graph color area background */
+.openworkouts-theme.leaflet-control.elevation .area {
+    fill: @color-app-light;
+    stroke: transparent;
+}
+
+/* vertical line to know where are you */
+.openworkouts-theme.leaflet-control.elevation .mouse-focus-line {
+    stroke: @color-main;
+}
+
+/* graph color line area */
+/*.leaflet-control.elevation .area {
+    fill: #f8b5be;
+}
+*/
+
+/* box with parameters */
+.mouse-focus-label {
+    opacity: .8;
+}
+
+
+.mouse-focus-label-text {
+    .font-size(13);
+    font-family: 'Open Sans', sans-serif;
+    font-weight: 100 !important;
+}
+/*.mouse-focus-label-y {}*/
+
+
+/* Color line on map */
+.leaflet-interactive {
+    stroke: @color-main;
+    opacity: .6;
+    stroke-width: 6px;
+    stroke-linecap: round;
+}
+
+/* indicator on map line*/
+.openworkouts-theme.height-focus.line{
+    stroke: @color-main;
+    display: none;
+
+    /*fill: #4682b4;*/
+}
+
+/* txt on map */
+
+.openworkouts-theme.height-focus-label {
+    display: none;
+}
+
+/* indicator on map circle */
+.openworkouts-theme.height-focus.circle-lower {
+    fill:  @color-main;
+    stroke: @color-app;
+    stroke-width: 10px;
+
+}
Index: ow/templates/base.pt
===================================================================
--- ow/templates/base.pt	(revision a3c3baae8007ffaa4c586fa25999ce62fb5c1b90)
+++ ow/templates/base.pt	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
@@ -32,14 +32,8 @@
     </title>
 
+    <metal:css metal:define-slot="css"></metal:css>
+
     <link rel="stylesheet"
           href="${request.static_url('ow:static/css/main.css')}" />
-
-    <link rel="stylesheet"
-          href="${request.static_url('ow:static/css/forms.css')}" />
-
-    <link rel="stylesheet"
-          href="${request.static_url('ow:static/css/openworkouts.css')}" />
-
-    <metal:css metal:define-slot="css"></metal:css>
 
     <metal:header-js metal:define-slot="header-js"></metal:header-js>
Index: ow/templates/workout.pt
===================================================================
--- ow/templates/workout.pt	(revision a3c3baae8007ffaa4c586fa25999ce62fb5c1b90)
+++ ow/templates/workout.pt	(revision 978575d0b6cac201f12ec312c810fd043658f7f9)
@@ -18,6 +18,4 @@
     <link rel="stylesheet" tal:condition="context.has_gpx"
           href="${request.static_url('ow:static/components/leaflet-elevation/leaflet-elevation.css')}" />
-    <link rel="stylesheet"
-          href="${request.static_url('ow:static/css/leaflet-elevation.css')}" />
   </metal:css>
 