Index: ow/static/js/ow.js
===================================================================
--- ow/static/js/ow.js	(revision e8e633f97e2f7ffb0d60e195b6078de65627f579)
+++ ow/static/js/ow.js	(revision 4554843bc3efbb4ee4b9d04e9aaf8cd667bf5bc1)
@@ -77,39 +77,4 @@
     };
 
-
-    var add_ow_charts = function add_ow_charts() {
-        /*
-           Add the analysis charts to the map (elevation, heartrate, cadence, etc)
-           This has to be called *after* create_map and *before* load_gpx.
-        */
-        ow_charts = L.control.ow({
-            position: "topright",
-            theme: "ow-analysis", //default: lime-theme
-            width: 600,
-            height: 125,
-            margins: {
-                top: 10,
-                right: 20,
-                bottom: 30,
-                left: 50
-            },
-            useHeightIndicator: true, //if false a marker is drawn at map position
-            interpolation: "linear", //see https://github.com/mbostock/d3/wiki/SVG-Shapes#wiki-area_interpolate
-            hoverNumber: {
-                decimalsX: 3, //decimals on distance (always in km)
-                decimalsY: 0, //deciamls on height (always in m)
-                formatter: undefined //custom formatter function may be injected
-            },
-            xTicks: undefined, //number of ticks in x axis, calculated by default according to width
-            yTicks: undefined, //number of ticks on y axis, calculated by default according to height
-            collapsed: false    //collapsed mode, show chart on click or mouseover
-        });
-
-        var ow_charts_container = ow_charts.addTo(map);
-        document.getElementById('ow-analysis').appendChild(
-            ow_charts_container._container);
-    };
-
-
     var load_gpx = function load_gpx(gpx_url) {
         /*
@@ -126,6 +91,6 @@
         });
         gpx.on("addline",function(e){
-            // elevation.addData(e.line);
-            ow_charts.addData(e.line);
+            elevation.addData(e.line);
+            // ow_charts.addData(e.line);
         });
         gpx.addTo(map);
@@ -135,6 +100,6 @@
         // create the map, add elevation, load gpx
         create_map(latitude, longitude, zoom);
-        // add_elevation_chart();
-        add_ow_charts();
+        add_elevation_chart();
+        // add_ow_charts();
         load_gpx(gpx_url);
     };
Index: ow/templates/workout.pt
===================================================================
--- ow/templates/workout.pt	(revision e8e633f97e2f7ffb0d60e195b6078de65627f579)
+++ ow/templates/workout.pt	(revision 4554843bc3efbb4ee4b9d04e9aaf8cd667bf5bc1)
@@ -122,6 +122,7 @@
   <metal:body-js metal:fill-slot="body-js">
 
+
+    <script src="//d3js.org/d3.v3.min.js" charset="utf-8"></script>
     <!--
-    <script src="//d3js.org/d3.v3.min.js" charset="utf-8"></script>
     <script src="${request.static_url('ow:static/d3/d3.min.js')}"
             tal:condition="context.has_gpx"></script>
@@ -142,19 +143,19 @@
     <script src="${request.static_url('ow:static/leaflet-openworkouts/leaflet.openworkouts.src.js')}"
             tal:condition="context.has_gpx"></script>
+    -->
     <script src="${request.static_url('ow:static/js/ow.js')}"
             tal:condition="context.has_gpx"></script>
-    -->
 
     <script type="text/javascript" tal:condition="context.has_gpx">
-      var workout_map = owjs.map({
-          latitude: ${start_point['latitude']},
-          longitude: ${start_point['longitude']},
-          zoom: 11,
-          gpx_url: '${request.resource_url(context, 'gpx')}',
-          start_icon: '${request.static_url('ow:static/leaflet-gpx/pin-icon-start.png')}',
-          end_icon: '${request.static_url('ow:static/leaflet-gpx/pin-icon-end.png')}',
-          shadow: '${request.static_url('ow:static/leaflet-gpx/pin-shadow.png')}',
-      });
-      workout_map.render()
+     var workout_map = owjs.map({
+         latitude: ${start_point['latitude']},
+         longitude: ${start_point['longitude']},
+         zoom: 11,
+         gpx_url: '${request.resource_url(context, 'gpx')}',
+         start_icon: '${request.static_url('ow:static/leaflet-gpx/pin-icon-start.png')}',
+         end_icon: '${request.static_url('ow:static/leaflet-gpx/pin-icon-end.png')}',
+         shadow: '${request.static_url('ow:static/leaflet-gpx/pin-shadow.png')}',
+     });
+     workout_map.render();
     </script>
   </metal:body-js>